> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/implement-nfc-wallet/manage-digital-cards/manage-digital-card-lcm.md).

# Manage digital card LCM

## Overview

Use the NFC Wallet SDK in your digital wallet application to manage a digital card lifecycle (LCM).

Primary use case:

* Delete a digital card from the digital wallet application

{% hint style="info" %}
In this section, we describe LCM actions initiated from the digital wallet application. The issuer backend can also initiate digital card LCM directly with the TSP.
{% endhint %}

## SDK integration

Use `DigitalCardManager.manage` to perform **LCM** actions on a digital card.

Supported actions:

* `.delete`
* `.suspend`
* `.resume`

{% hint style="info" %}
Changes in the **NFC Wallet backend** do not appear immediately in the **digital wallet application**.

Send a push notification to synchronize the digital card state. See [Handle push notifications](/nfc-wallet-sdk-ios/get-started/configuration/4.-push-notifications/handle-push-notifications.md).
{% endhint %}

### Delete a card

Deleting a card removes it permanently from the digital wallet application.

{% code title="Delete card" %}

```swift
func deleteCard(card: DigitalCard) async {
  do {
      _ = try await DigitalCardManager().manage(digitalCardID: card.digitalCardID, action: .delete)
  } catch {
    // error handling
  }
}
```

{% endcode %}

### Suspend a card

A suspended card cannot be used to make payments.

{% code title="Suspend card" %}

```swift
func suspendCard(card: DigitalCard) async {
    do {
        _ = try await DigitalCardManager().manage(digitalCardID: card.digitalCardID, action: .suspend)
    } catch {
        // error handling
    }
}
```

{% endcode %}

### Resume a card

Resuming a suspended card changes its state to active. It can then be used to make payments.

{% code title="Resume card" %}

```swift
func resumeCard(card: DigitalCard) async {
  do {
      _ = try await DigitalCardManager().manage(digitalCardID: card.digitalCardID, action: .resume)
  } catch {
      // error handling
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-ios/implement-nfc-wallet/manage-digital-cards/manage-digital-card-lcm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
